package com.bocloud.cmp.model.hmc;

public class HmdServerHeaLogicalPortModel extends HmdGenericModel {
    private Integer adapterId; // 适配器id
    private Integer logicalPortId; // 端口id
    private String portState; // 端口状态
    private String macAddress; // mac地址
    private String allowedMacAddresses; // 允许的mac地址
    private String allowedVlanIds; // 允许的vlanId
    private Integer portGroupId; // 端口组id
    private HmdServerHeaModel hea; // 所属hea
    private HmdPartitionModel partition; // 分配的逻辑分区

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public String getPortState() {
        return portState;
    }

    public void setPortState(String portState) {
        this.portState = portState;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getAllowedMacAddresses() {
        return allowedMacAddresses;
    }

    public void setAllowedMacAddresses(String allowedMacAddresses) {
        this.allowedMacAddresses = allowedMacAddresses;
    }

    public String getAllowedVlanIds() {
        return allowedVlanIds;
    }

    public void setAllowedVlanIds(String allowedVlanIds) {
        this.allowedVlanIds = allowedVlanIds;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public HmdServerHeaModel getHea() {
        return hea;
    }

    public void setHea(HmdServerHeaModel hea) {
        this.hea = hea;
    }

    public HmdPartitionModel getPartition() {
        return partition;
    }

    public void setPartition(HmdPartitionModel partition) {
        this.partition = partition;
    }
}
